Bug 114177 - dhclient doesn't get lease from nt4 dhcp, pump does
dhclient doesn't get lease from nt4 dhcp, pump does
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 11:49 EST by Need Real Name
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 17:24:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Shows dhclient failing to get a lease from a nt4 dhcp server (4.16 KB, text/plain)
2004-01-23 11:54 EST, Need Real Name
no flags Details
Shows pump getting a lease from same nt4 server (225 bytes, text/plain)
2004-01-23 11:56 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-01-23 11:49:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
Tried to get a lease over wifi (3com) from a nt4 dhcp server. 
Dhclient fails to do this, but pump suceeds.

I'll attach scraps from the messages file to show this.

The card does work with a static address.

Version-Release number of selected component (if applicable):
dhclient-3.0pl1-23

How reproducible:
Always

Steps to Reproduce:
1.Try to bring up wifi card with dhcp
2.
3.
    

Additional info:
Comment 1 Need Real Name 2004-01-23 11:54:45 EST
Created attachment 97214 [details]
Shows dhclient failing to get a lease from a nt4 dhcp server
Comment 2 Need Real Name 2004-01-23 11:56:56 EST
Created attachment 97215 [details]
Shows pump getting a lease from same nt4 server
Comment 3 Jason Vas Dias 2004-08-04 17:24:34 EDT
The only reason dhclient declines a valid offer is if the 
dhclient-script detects by ping that the assigned address
is already in use - not a bad idea.
Not reproducible when address not in use.
Comment 4 John Flanagan 2004-12-21 14:42:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.